- Export all template descriptors and versions
Management
Content
Syntax
Rendering Context
List template descriptors
Create template descriptor
Delete template descriptor
Get template descriptor
Update template descriptor
List template versions for descriptor
List all template versions (Deprecated)
Create template version
Import exported template descriptors and versions
Get template version
Update template version
Activate template version
Render template version preview
Render template version
List context vars for template version
List all template versions (v2)
Delete template version (no longer supported)
Export all template descr...
Export all template descriptors and template versions for a company. The export is in JSON format. It can be used with the import endpoint to restore templates.
Security
oauth2(Required scopes: communicator.template:read) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/communicator/templates/export?companyId=string&activeOnly=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'